"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useRecordingStatus = void 0;
const capacitor_voice_recorder_1 = require("capacitor-voice-recorder");
const react_1 = require("react");
const useRecordingStatus = ({ intervalInMs = 1000 }) => {
    const [status, setStatus] = (0, react_1.useState)("");
    (0, react_1.useEffect)(() => {
        const fetchStatus = () => __awaiter(void 0, void 0, void 0, function* () {
            try {
                const { status } = yield capacitor_voice_recorder_1.VoiceRecorder.getCurrentStatus(); // Replace with the actual function from the audio recording library
                setStatus(status);
            }
            catch (error) {
                console.error('Error fetching recording status:', error);
            }
        });
        const intervalId = setInterval(fetchStatus, intervalInMs); // Update the status every 1 second (1000 ms)
        return () => clearInterval(intervalId); // Cleanup the interval on component unmount
    }, []);
    return status;
};
exports.useRecordingStatus = useRecordingStatus;
